Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1352)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -121,5 +121,5 @@
                    ALLOCATE( e_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                e_av = 0.0
+                e_av = 0.0_wp
 
              CASE ( 'lpt' )
@@ -127,5 +127,5 @@
                    ALLOCATE( lpt_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                lpt_av = 0.0
+                lpt_av = 0.0_wp
 
              CASE ( 'lwp*' )
@@ -133,5 +133,5 @@
                    ALLOCATE( lwp_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                lwp_av = 0.0
+                lwp_av = 0.0_wp
 
              CASE ( 'nr' )
@@ -139,5 +139,5 @@
                    ALLOCATE( nr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                nr_av = 0.0
+                nr_av = 0.0_wp
 
              CASE ( 'p' )
@@ -145,5 +145,5 @@
                    ALLOCATE( p_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                p_av = 0.0
+                p_av = 0.0_wp
 
              CASE ( 'pc' )
@@ -151,5 +151,5 @@
                    ALLOCATE( pc_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                pc_av = 0.0
+                pc_av = 0.0_wp
 
              CASE ( 'pr' )
@@ -157,5 +157,5 @@
                    ALLOCATE( pr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                pr_av = 0.0
+                pr_av = 0.0_wp
 
              CASE ( 'prr' )
@@ -163,5 +163,5 @@
                    ALLOCATE( prr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                prr_av = 0.0
+                prr_av = 0.0_wp
 
              CASE ( 'prr*' )
@@ -169,5 +169,5 @@
                    ALLOCATE( precipitation_rate_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                precipitation_rate_av = 0.0
+                precipitation_rate_av = 0.0_wp
 
              CASE ( 'pt' )
@@ -175,5 +175,5 @@
                    ALLOCATE( pt_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                pt_av = 0.0
+                pt_av = 0.0_wp
 
              CASE ( 'q' )
@@ -181,5 +181,5 @@
                    ALLOCATE( q_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                q_av = 0.0
+                q_av = 0.0_wp
 
              CASE ( 'qc' )
@@ -187,5 +187,5 @@
                    ALLOCATE( qc_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                qc_av = 0.0
+                qc_av = 0.0_wp
 
              CASE ( 'ql' )
@@ -193,5 +193,5 @@
                    ALLOCATE( ql_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                ql_av = 0.0
+                ql_av = 0.0_wp
 
              CASE ( 'ql_c' )
@@ -199,5 +199,5 @@
                    ALLOCATE( ql_c_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                ql_c_av = 0.0
+                ql_c_av = 0.0_wp
 
              CASE ( 'ql_v' )
@@ -205,5 +205,5 @@
                    ALLOCATE( ql_v_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                ql_v_av = 0.0
+                ql_v_av = 0.0_wp
 
              CASE ( 'ql_vp' )
@@ -211,5 +211,5 @@
                    ALLOCATE( ql_vp_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                ql_vp_av = 0.0
+                ql_vp_av = 0.0_wp
 
              CASE ( 'qr' )
@@ -217,5 +217,5 @@
                    ALLOCATE( qr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                qr_av = 0.0
+                qr_av = 0.0_wp
 
              CASE ( 'qsws*' )
@@ -223,5 +223,5 @@
                    ALLOCATE( qsws_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                qsws_av = 0.0
+                qsws_av = 0.0_wp
 
              CASE ( 'qv' )
@@ -229,5 +229,5 @@
                    ALLOCATE( qv_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                qv_av = 0.0
+                qv_av = 0.0_wp
 
              CASE ( 'rho' )
@@ -235,5 +235,5 @@
                    ALLOCATE( rho_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                rho_av = 0.0
+                rho_av = 0.0_wp
 
              CASE ( 's' )
@@ -241,5 +241,5 @@
                    ALLOCATE( s_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                s_av = 0.0
+                s_av = 0.0_wp
 
              CASE ( 'sa' )
@@ -247,5 +247,5 @@
                    ALLOCATE( sa_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                sa_av = 0.0
+                sa_av = 0.0_wp
 
              CASE ( 'shf*' )
@@ -253,5 +253,5 @@
                    ALLOCATE( shf_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                shf_av = 0.0
+                shf_av = 0.0_wp
 
              CASE ( 't*' )
@@ -259,5 +259,5 @@
                    ALLOCATE( ts_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                ts_av = 0.0
+                ts_av = 0.0_wp
 
              CASE ( 'u' )
@@ -265,5 +265,5 @@
                    ALLOCATE( u_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                u_av = 0.0
+                u_av = 0.0_wp
 
              CASE ( 'u*' )
@@ -271,5 +271,5 @@
                    ALLOCATE( us_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                us_av = 0.0
+                us_av = 0.0_wp
 
              CASE ( 'v' )
@@ -277,5 +277,5 @@
                    ALLOCATE( v_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                v_av = 0.0
+                v_av = 0.0_wp
 
              CASE ( 'vpt' )
@@ -283,5 +283,5 @@
                    ALLOCATE( vpt_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                vpt_av = 0.0
+                vpt_av = 0.0_wp
 
              CASE ( 'w' )
@@ -289,5 +289,5 @@
                    ALLOCATE( w_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                w_av = 0.0
+                w_av = 0.0_wp
 
              CASE ( 'z0*' )
@@ -295,5 +295,5 @@
                    ALLOCATE( z0_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                z0_av = 0.0
+                z0_av = 0.0_wp
 
              CASE ( 'z0h*' )
@@ -301,5 +301,5 @@
                    ALLOCATE( z0h_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                z0h_av = 0.0
+                z0h_av = 0.0_wp
 
              CASE DEFAULT
@@ -380,6 +380,6 @@
                    DO  k = nzb, nzt+1
                       psi = prt_start_index(k,j,i)
-                      s_r3 = 0.0
-                      s_r4 = 0.0
+                      s_r3 = 0.0_wp
+                      s_r4 = 0.0_wp
                       DO  n = psi, psi+prt_count(k,j,i)-1
                          s_r3 = s_r3 + particles(n)%radius**3 * &
@@ -388,8 +388,8 @@
                                        particles(n)%weight_factor
                       ENDDO
-                      IF ( s_r3 /= 0.0 )  THEN
+                      IF ( s_r3 /= 0.0_wp )  THEN
                          mean_r = s_r4 / s_r3
                       ELSE
-                         mean_r = 0.0
+                         mean_r = 0.0_wp
                       ENDIF
                       pr_av(k,j,i) = pr_av(k,j,i) + mean_r
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 1352)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 1353)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! ------------------
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -206,6 +207,6 @@
 !
 !--       Send heat flux at bottom surface to the ocean
-          total_2d_a = 0.0
-          total_2d   = 0.0
+          total_2d_a = 0.0_wp
+          total_2d   = 0.0_wp
           total_2d(nys:nyn,nxl:nxr) = shf(nys:nyn,nxl:nxr)
 
@@ -216,6 +217,6 @@
 !--       Send humidity flux at bottom surface to the ocean
           IF ( humidity )  THEN
-             total_2d_a = 0.0
-             total_2d   = 0.0
+             total_2d_a = 0.0_wp
+             total_2d   = 0.0_wp
              total_2d(nys:nyn,nxl:nxr) = qsws(nys:nyn,nxl:nxr)
 
@@ -236,6 +237,6 @@
 !
 !--       Send momentum flux (u) at bottom surface to the ocean
-          total_2d_a = 0.0 
-          total_2d   = 0.0
+          total_2d_a = 0.0_wp 
+          total_2d   = 0.0_wp
           total_2d(nys:nyn,nxl:nxr) = usws(nys:nyn,nxl:nxr)
           CALL MPI_REDUCE( total_2d, total_2d_a, ngp_a, MPI_REAL, MPI_SUM, 0, &
@@ -244,6 +245,6 @@
 !
 !--       Send momentum flux (v) at bottom surface to the ocean
-          total_2d_a = 0.0
-          total_2d   = 0.0
+          total_2d_a = 0.0_wp
+          total_2d   = 0.0_wp
           total_2d(nys:nyn,nxl:nxr) = vsws(nys:nyn,nxl:nxr)
           CALL MPI_REDUCE( total_2d, total_2d_a, ngp_a, MPI_REAL, MPI_SUM, 0, &
@@ -338,6 +339,6 @@
 !
 !--       Send surface temperature to atmosphere
-          total_2d_o = 0.0
-          total_2d   = 0.0
+          total_2d_o = 0.0_wp
+          total_2d   = 0.0_wp
           total_2d(nys:nyn,nxl:nxr) = pt(nzt,nys:nyn,nxl:nxr)
 
@@ -367,6 +368,6 @@
 !
 !--       Send u to atmosphere
-          total_2d_o = 0.0  
-          total_2d   = 0.0
+          total_2d_o = 0.0_wp  
+          total_2d   = 0.0_wp
           total_2d(nys:nyn,nxl:nxr) = u(nzt,nys:nyn,nxl:nxr)
           CALL MPI_REDUCE( total_2d, total_2d_o, ngp_o, MPI_REAL, MPI_SUM, 0, &
@@ -375,6 +376,6 @@
 !
 !--       Send v to atmosphere
-          total_2d_o = 0.0
-          total_2d   = 0.0
+          total_2d_o = 0.0_wp
+          total_2d   = 0.0_wp
           total_2d(nys:nyn,nxl:nxr) = v(nzt,nys:nyn,nxl:nxr)
           CALL MPI_REDUCE( total_2d, total_2d_o, ngp_o, MPI_REAL, MPI_SUM, 0, &
@@ -396,6 +397,6 @@
 !--       following Steinhorn (1991), JPO 21, pp. 1681-1683:
 !--       S'w' = -S * evaporation / ( rho_water * ( 1 - S ) )
-          saswst = -1.0 * sa(nzt,:,:) * qswst_remote /  &
-                    ( rho(nzt,:,:) * ( 1.0 - sa(nzt,:,:) ) )
+          saswst = -1.0_wp * sa(nzt,:,:) * qswst_remote /  &
+                    ( rho(nzt,:,:) * ( 1.0_wp - sa(nzt,:,:) ) )
        ENDIF
 
@@ -474,5 +475,5 @@
        dny2 = 2 * ( dny / 2 )
 
-       total_2d_a = 0.0
+       total_2d_a = 0.0_wp
 !
 !--    Interpolation from ocean-grid-layer to atmosphere-grid-layer
Index: /palm/trunk/SOURCE/user_3d_data_averaging.f90
===================================================================
--- /palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 1352)
+++ /palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -78,5 +78,5 @@
 !                ALLOCATE( u2_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 !             ENDIF
-!             u2_av = 0.0
+!             u2_av = 0.0_wp
 
           CASE DEFAULT
Index: /palm/trunk/SOURCE/user_actions.f90
===================================================================
--- /palm/trunk/SOURCE/user_actions.f90	(revision 1352)
+++ /palm/trunk/SOURCE/user_actions.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -117,6 +117,6 @@
 !                   DO  k = nzb, nzt+1
 !                      ustvst(k,j,i) =  &
-!                         ( 0.5 * ( u(k,j,i) + u(k,j,i+1) ) - hom(k,1,1,0) ) * &
-!                         ( 0.5 * ( v(k,j,i) + v(k,j+1,i) ) - hom(k,1,2,0) )
+!                         ( 0.5_wp * ( u(k,j,i) + u(k,j,i+1) ) - hom(k,1,1,0) ) * &
+!                         ( 0.5_wp * ( v(k,j,i) + v(k,j+1,i) ) - hom(k,1,2,0) )
 !                   ENDDO
 !                ENDDO
Index: /palm/trunk/SOURCE/user_init.f90
===================================================================
--- /palm/trunk/SOURCE/user_init.f90	(revision 1352)
+++ /palm/trunk/SOURCE/user_init.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -61,5 +61,5 @@
 !-- Sample for user-defined output
 !    ALLOCATE( u2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-!    ALLOCATE( ustvst(nzb:nzt+1,nysg:nyng,nxlg:nxrg) );  ustvst = 0.0
+!    ALLOCATE( ustvst(nzb:nzt+1,nysg:nyng,nxlg:nxrg) );  ustvst = 0.0_wp
 
 !-- Sample for user-defined time series
Index: /palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 1352)
+++ /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -86,6 +86,6 @@
 !                ENDDO
 !             ELSE
-!                lad_s(:,:,i) = 0.0
-!                cdc(:,:,i)   = 0.0
+!                lad_s(:,:,i) = 0.0_wp
+!                cdc(:,:,i)   = 0.0_wp
 !             ENDIF
 !          ENDDO 
Index: /palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/user_statistics.f90	(revision 1352)
+++ /palm/trunk/SOURCE/user_statistics.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -98,6 +98,6 @@
 !!--             horizontal momentum flux u*v*
 !                sums_l(k,pr_palm+1,tn) = sums_l(k,pr_palm+1,tn) +               &
-!                      ( 0.5 * ( u(k,j,i) + u(k,j,i+1) ) - hom(k,1,1,sr) ) *     &
-!                      ( 0.5 * ( v(k,j,i) + v(k,j+1,i) ) - hom(k,1,2,sr) )       &
+!                      ( 0.5_wp * ( u(k,j,i) + u(k,j,i+1) ) - hom(k,1,1,sr) ) *     &
+!                      ( 0.5_wp * ( v(k,j,i) + v(k,j+1,i) ) - hom(k,1,2,sr) )       &
 !                                                 * rmask(j,i,sr)
 !!
@@ -117,5 +117,5 @@
 !--    creates two time series for the absolut values of the horizontal
 !--    velocities u and v.
-!       ts_value_l = 0.0
+!       ts_value_l = 0.0_wp
 !       ts_value_l(dots_num_palm+1) = ABS( u_max )
 !       ts_value_l(dots_num_palm+2) = ABS( v_max )
